<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Str;

class AddAuthFieldsToUsersTable extends Migration
{
    public function up(): void
    {
        if (!Schema::hasTable('users')) {
            Schema::create('users', function (Blueprint $table): void {
                $table->id();
                $table->timestamps();
            });
        }

        Schema::table('users', static function (Blueprint $table): void {
            if (!Schema::hasColumn('users', config('auth-password.field_names.username'))) {
                $table->string(config('auth-password.field_names.username'))->nullable()->unique();
            }

            if (!Schema::hasColumn('users', config('auth-password.field_names.password'))) {
                $table->string(config('auth-password.field_names.password'))->nullable();
            }

            if (!Schema::hasColumn('users', 'remember_token')) {
                $table->rememberToken();
            }

            if (!Schema::hasColumn('users', 'password_created_at')) {
                $table->dateTime('password_created_at')->nullable();
            }

            if (!Schema::hasColumn('users', 'password_token')) {
                $table->string('password_token')->default((string) Str::uuid());
            }
        });
    }
}
