<?php

Route::middleware('web')
    ->namespace('EventPortal\AuthPassword\Http\Controllers')
    ->group(static function (): void {
        Route::get('login', 'LoginController@index')->name('login.index');
        Route::post('login', 'LoginController@login')->name('login.submit');
        Route::match(['get', 'post'], 'logout', 'LoginController@logout')->name('logout.submit');

        Route::get('reset-password', 'SendPasswordResetEmailController@showLinkRequestForm')
            ->name('reset-password.index');
        Route::post('reset-password', 'SendPasswordResetEmailController@sendResetLinkEmail')
            ->name('reset-password.submit');
        Route::get('password/reset', 'ResetPasswordController@showResetForm')->name('password.reset');
        Route::post('password/reset', 'ResetPasswordController@reset')->name('password.reset');

        Route::get('create-password/{token}', 'CreatePasswordController@index')->name('create-password.index');
        Route::post('create-password/{token}/store', 'CreatePasswordController@store')->name('create-password.store');
    });
