<?php

namespace EventPortal\AuthPassword\Http\Controllers;

use EventPortal\AuthPassword\Http\Requests\StoreCreatePassword;
use Illuminate\Http\RedirectResponse;
use Inertia\Inertia;
use Inertia\Response;

class CreatePasswordController
{
    public function index(): Response
    {
        return Inertia::render('CreatePassword');
    }

    public function store(StoreCreatePassword $request, string $uuid): RedirectResponse
    {
        $user = config('auth.providers.users.model')::where('password_token', $uuid)->firstOrFail();
        $password = $request->password;

        $user->password = bcrypt($password);
        $user->password_created_at = now();
        $user->save();

        return redirect()->route('login.index');
    }
}
