<?php

namespace EventPortal\AuthPassword\Rules;

use Illuminate\Contracts\Validation\Rule;

class PasswordRule implements Rule
{
    /**
     * @param string $attribute
     * @param mixed $value
     */
    // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter
    // phpcs:disable SlevomatCodingStandard.TypeHints.ParameterTypeHint
    public function passes($attribute, $value): bool
    {
        // phpcs:enable
        return preg_match('/^(?=.*[a-z ])(?=.*[A-Z ])(?=.*\d)[a-zA-Z \d]{8,}$/', $value);
    }

    public function message(): string
    {
        return 'Your password must be at least eight characters long, contain at least'
        .' one uppercase character, one lowercase character, and one number.';
    }
}
